# 2021-005
## Main objective

The main objective of the system is to come up with the final product which supports the screening of children with ASD who are between the age of 6 months to 4 years group of children while parents feel relaxed to their mind having a system like this with trustworthy. The system must support the ability to identify the severity level of children using live inputs and data gathered. It is more efficient to use an interactive child-friendly chatbot assistant by using machine learning technologies from gathered data. Parents must be able to refer to data and analyze them to see progress and provide necessary care for them.

## Main Research questions

How to identify children with autism in groups of children who spend a normal life while doing an activity, and how to identify their current status (stage of autism).

## Individual research question

### Member 01:
- By using voice, screeening ASD children in a children group with normal behaviours.
### Member 02:
- By using gestures, screeening ASD children in a children group with normal behaviours.
### Member 03:
- By using facial expressions, screeening ASD children in a children group with normal behaviours.
### Member 04:
- By using gates, screeening ASD children in a children group with normal behaviours.

## Individual Objectives

### Member 01:

- Detect individual speaking behaviours of voice from a children group by filtering other environment noises and screen children with ASD.
- Develop web application and mobile application to display output of analysed data from trained machine learning model.
- Training chatbot to interact using the analysed data from voice screening machine learning model.

### Member 02:

- Detect individual significant abnormal gestures from a children group and screen children with ASD.
- Develop web application and mobile application to display output of analysed data from trained machine learning model.
- Training chatbot to interact using the analysed data from gesture screening machine learning model.

### Member 03:

- Detect individual significant abnormal facial expressions from a children group and screen children with ASD.
- Develop web application and mobile application to display output of analysed data from trained machine learning model.
- Training chatbot to interact using the analysed data from facial expression screening machine learning model.

### Member 04:

- Detect individual significant abnormal gates from a children group and screen children with ASD.
- Develop web application and mobile application to display output of analysed data from trained machine learning model.
- Training chatbot to interact using the analysed data from gates screening machine learning model.

## Other necessary information:

### Technologies:
- RASA framework for AI chatbot development.
- Angular for web application development.
- Nodejs in server side development.
- Flutter for mobile application development.
- MongoDB for database handling.

### Targeted groups:
- Children in kindergartens, playgrounds and playgroups.

### Targeted users:
- Parents.
- Health instructors.
- Guardians.
- Doctors.